This bugzilla service is closed. All entries have been migrated to https://gitlab.com/libeigen/eigen
Bug 511 - Pretty printing Eigen vectors and matrices: wrong dimensions
Summary: Pretty printing Eigen vectors and matrices: wrong dimensions
Status: RESOLVED FIXED
Alias: None
Product: Eigen
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: All All
: Normal Unknown
Assignee: Nobody
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-19 14:02 UTC by Allan Leal
Modified: 2019-12-04 11:53 UTC (History)
2 users (show)



Attachments

Description Allan Leal 2012-09-19 14:02:38 UTC
To get the Eigen pretty printer to get the correct dimension of dynamic vectors and matrices, I had to change the lines:


if template_params[1] == '-0x00000000000000001' or template_params[1] == '-0x000000001':

to

if template_params[1] == '-0x00000000000000001' or template_params[1] == '-0x000000001' or template_params[1] == '-1':

and 

if template_params[2] == '-0x00000000000000001' or template_params[2] == '-0x000000001':

to

if template_params[2] == '-0x00000000000000001' or template_params[2] == '-0x000000001' or template_params[2] == '-1':

This was experienced under Windows, using MinGW. I did not have such problems in Linux.
Comment 1 Gael Guennebaud 2012-09-26 23:50:08 UTC
thank you for the report and fix.

https://bitbucket.org/eigen/eigen/changeset/5a4b24d14d26/
changeset:   5a4b24d14d26
user:        ggael
date:        2012-09-26 23:48:48
summary:     fix bug 511: pretty printers on windows


https://bitbucket.org/eigen/eigen/changeset/63fe9fb8210e/
changeset:   63fe9fb8210e
branch:      3.1
user:        ggael
date:        2012-09-26 23:48:48
summary:     fix bug 511: pretty printers on windows
(transplanted from 5a4b24d14d26c0ce44a47582dbf06de1225cb96a)
Comment 2 Nobody 2019-12-04 11:53:15 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to gitlab.com's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.com/libeigen/eigen/issues/511.

Note You need to log in before you can comment on or make changes to this bug.